Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.runtime.rule
Interface RuleContext

All Superinterfaces:
  KnowledgeContext

    public interface RuleContext

extends KnowledgeContext

Method Summary
`void` | `blockActivation(Activation match)` This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default.
`void` | `cancelActivation(Activation match)` This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default.
`Activation` | `getActivation()` Returns the current Activation for the current context
`Rule` | `getRule()` Returns the active Rule for the current context
`void` | `insertLogical(Object object)` Logically inserts a fact into the KnowledgeSession, justified by the current rule context.
`void` | `insertLogical(Object object, Object value)` Logically inserts a fact into the KnowledgeSession, justified by the current rule context.
`void` | `unblockAllActivations(Activation match)` This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default.

Methods inherited from interface org.drools.runtime.KnowledgeContext
`getKnowledgeRuntime`

Method Detail

### getRule

    Rule getRule()

  Returns the active Rule for the current context

  Returns:

### getActivation

    Activation getActivation()

  Returns the current Activation for the current context

  Returns:

### insertLogical

    void insertLogical(Object object)

  Logically inserts a fact into the KnowledgeSession, justified by the current rule context.

  Parameters:
    `object` - the fact to insert into the knowledge session

### insertLogical

    void insertLogical(Object object,
                       Object value)

  Logically inserts a fact into the KnowledgeSession, justified by the current rule context.

  Parameters:
    `object` - the fact to insert into the knowledge session

### blockActivation

    void blockActivation(Activation match)

  This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default. This method may change or disable at any time.

  Parameters:
    `match` -

### unblockAllActivations

    void unblockAllActivations(Activation match)

  This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default. This method may change or disable at any time.

  Parameters:
    `match` -

### cancelActivation

    void cancelActivation(Activation match)

  This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default. This method may change or disable at any time.

  Parameters:
    `match` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.